glymur (0.14.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Drop unnecessary targets: build-indep and build-arch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 06 Feb 2026 07:26:46 +0000

glymur (0.14.6-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.
  * Add missing debian/rules targets build-indep, build-arch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 01 Feb 2026 18:35:26 +0000

glymur (0.14.4-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Oct 2025 11:29:28 +0000

glymur (0.14.3-1) unstable; urgency=medium

  * New upstream release.
  * Set upstream metadata fields: Documentation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 10 Aug 2025 15:08:57 +0000

glymur (0.14.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add dependency on setuptools-scm.
    - Drop dependency on imageio.
  * Fix d/python3-glymur.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Apr 2025 05:44:59 +0000

glymur (0.14.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.
  * debian/control:
    - Add dependency on python3-imageio and python3-gdal.
  * Add manual page for jpeg2jp2.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Mar 2025 10:47:04 +0000

glymur (0.13.8-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Jan 2025 08:00:01 +0000

glymur (0.13.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop d/source/lintian-overrides, no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 18 Jan 2025 10:10:29 +0000

glymur (0.13.6-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 23 Aug 2024 06:23:06 +0000

glymur (0.13.5-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * New source/lintian-overrides file for silency misdetection of uuid
    as deprecated stdlib.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 30 Jul 2024 05:45:37 +0000

glymur (0.13.4-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Jul 2024 07:17:15 +0000

glymur (0.13.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0001-Fix-broken-test.patch, applied upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 02 Jul 2024 18:52:20 +0000

glymur (0.13.2-2) unstable; urgency=medium

  * debian/patches:
    - New 0001-Fix-broken-test.patch.
      Fixes a testing issue on BE architectures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 15 May 2024 05:38:04 +0000

glymur (0.13.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 10 May 2024 06:59:01 +0000

glymur (0.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 28 Apr 2024 09:16:40 +0000

glymur (0.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dates and upstream author email in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Apr 2024 07:07:29 +0000

glymur (0.12.9-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Move the common package escription to source.
    - Use <!nocheck> marker.
    - Switch to autopkgtest-pkg-pybuild.
  * New d/python3-glymur.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 02 Dec 2023 21:33:41 +0000

glymur (0.12.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper-compat version to 13.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 13 Jul 2023 08:01:49 +0000

glymur (0.12.7-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.

  [ Antonio Valentino ]
  * New upstream release (Closes: #1032291).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Jun 2023 10:28:27 +0000

glymur (0.12.2-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop libtiff from autopkgtest dependencies too.
  * Enable Salsa CI.
  * Add python3-skimage to autopkgtest dependencies.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Jan 2023 15:00:34 +0000

glymur (0.12.2-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.
  * debian/control:
    - add dependency on python3-pil
    - drop dependency on libtiff.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Jan 2023 10:22:16 +0000

glymur (0.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Dec 2022 06:49:27 +0000

glymur (0.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Oct 2022 07:12:53 +0000

glymur (0.11.7-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 22 Sep 2022 05:57:23 +0000

glymur (0.11.6-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Sep 2022 11:11:25 +0000

glymur (0.11.5-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Sep 2022 08:09:41 +0000

glymur (0.11.4-1) unstable; urgency=medium

  * New usptream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Aug 2022 07:05:48 +0000

glymur (0.11.3-1) unstable; urgency=medium

  * New upstream release.
  * Use a more generic glob pattern in d/not-installed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 17 Aug 2022 16:57:25 +0000

glymur (0.11.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix d/copyright formatting.
  * debian/patches:
    - drop 0001-Remove-breakpoint.patch, applied upstream.
  * add d/not-installed file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 13 Aug 2022 15:19:35 +0000

glymur (0.11.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - new patch 0001-Remove-breakpoint.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 09 Aug 2022 07:03:09 +0000

glymur (0.11.0-3) unstable; urgency=medium

  * Skip test_thread_support: not supported on all platforms.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Aug 2022 06:58:12 +0000

glymur (0.11.0-2) unstable; urgency=medium

  * Add libtiff5 to dependencies and test dependencies.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Aug 2022 16:58:28 +0000

glymur (0.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 17 Jul 2022 08:04:17 +0000

glymur (0.10.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 01 Jul 2022 18:20:19 +0000

glymur (0.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 18 Jun 2022 06:27:29 +0000

glymur (0.9.9-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 25 Mar 2022 06:53:21 +0000

glymur (0.9.8-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 12 Mar 2022 15:00:31 +0000

glymur (0.9.7-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update build dependencies for pybuild-plugin-pyproject.

  [ Antonio Valentino ]
  * debian/control:
    - add missing (build) dependency on python3-packaging.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 30 Dec 2021 09:18:54 +0000

glymur (0.9.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - drop dependency on pkg-resources, no longer needed
    - use dh-python-pep517 instead of the standard dh-python.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 29 Dec 2021 08:58:12 +0000

glymur (0.9.6-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.
  * Update watch file to use tags instead of releases.

  [ Antonio Valentino ]
  * New upstream release.
  * Update copyright dates in d/copyright.
  * Manpage for the new tool tiff2jp2.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Nov 2021 12:21:22 +0000

glymur (0.9.4-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Sep 2021 16:41:22 +0000

glymur (0.9.3-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Drop skimage.patch, applied upstream.

  [ Bas Couwenberg ]
  * Also include tests in python3-glymur.
  * Drop undefined substitution variables.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Jan 2021 08:46:33 +0000

glymur (0.9.2-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.5.1, no changes.
  * Add patch to fix FTBFS with skimage 0.18.
    (closes: #978255)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Dec 2020 10:48:19 +0100

glymur (0.9.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.5.0, no changes.
  * debian/rules:
    - improve override_dh_auto_test target

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 03 Jul 2020 19:57:13 +0000

glymur (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update copyright file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 17 Jan 2020 07:26:02 +0000

glymur (0.8.19+ds-1) unstable; urgency=medium

  * New upstream release (improve support to Python 3.8).
  * Bump Standards-Version to 4.4.1, no changes.
  * debian/copyright file updated.
  * Explicitly set Rules-Requires-Root: no.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 19 Dec 2019 23:07:48 +0000

glymur (0.8.18+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Repack upstream tarball to exclude .egg-info directory.
  * Bump Standards-Version to 4.4.0, no changes.

  [ Antonio Valentino ]
  * Bump debhelper from old 11 to 12.
  * Use debhelper-compat instead of debian/compat.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 03 Sep 2019 05:37:57 +0000

glymur (0.8.18-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/rules:
    - fix override_dh_auto_test rule

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Jul 2019 16:00:46 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-glymur`.
